import Foundation
import UIKit

class TabbarController : UITabBarController
{
    
}

class WhiteButton : UIButton
{
    required init?(coder: NSCoder) {
        super .init(coder: coder)
        backgroundColor = UIColor.white
        layer.borderColor=UIColor(named: "Gray1")?.cgColor
        layer.borderWidth=1
        layer.cornerRadius=6
        self.setTitleColor(UIColor(named: "DefaultRed"), for: UIControl.State.normal)
        self.titleLabel?.font=UIFont(name: "SFProDisplayRegular", size: 16)
    }
}

class RedButton : UIButton
{
    required init?(coder: NSCoder) {
        super .init(coder: coder)
        backgroundColor=UIColor(named: "DefaultRed")
        layer.cornerRadius=6
        self.setTitleColor(UIColor.white, for: UIControl.State.normal)
        self.titleLabel?.font=UIFont(name: "SFProDisplayRegular", size: 16)
    }
}

class TextViewWithBorder : UITextView
{
    required init?(coder: NSCoder) {
        super .init(coder: coder)
        layer.borderColor=UIColor(named: "Gray1")?.cgColor
        layer.borderWidth=1
        layer.cornerRadius=6
        self.textColor=UIColor(named: "TextGray2")
        self.font=UIFont(name: "SFProDisplayRegular", size: 16)
    }
}
